GNU bug report logs - #47249
27.0.50; configure uses nextstep despite being told to use lucid

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Markus Triska <triska@HIDDEN>; dated Thu, 18 Mar 2021 22:21:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 47249 <at> debbugs.gnu.org:


Received: (at 47249) by debbugs.gnu.org; 24 Oct 2021 22:16:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 18:16:57 2021
Received: from localhost ([127.0.0.1]:41205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1melnU-0008E4-QB
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 18:16:57 -0400
Received: from [78.47.144.35] (port=43154 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1melnS-0008BD-DE
 for 47249 <at> debbugs.gnu.org; Sun, 24 Oct 2021 18:16:55 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id C65949C749; Mon, 25 Oct 2021 00:16:52 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#47249: 27.0.50;
 configure uses nextstep despite being told to use lucid
References: <m2y2ekgl26.fsf@HIDDEN>
 <CADwFkmmkZ_yeEKs380oi+t5hBquPD-pSF70hwV0NM=VYB1oS1w@HIDDEN>
 <87zgqyyz2d.fsf@HIDDEN>
 <CADwFkmk0KURzRJUH=S9s_8pPgf1eLbN-t-Sdo-U6MuokYcXqJg@HIDDEN>
Date: Mon, 25 Oct 2021 00:16:52 +0200
In-Reply-To: <CADwFkmk0KURzRJUH=S9s_8pPgf1eLbN-t-Sdo-U6MuokYcXqJg@HIDDEN>
 (Stefan Kangas's message of "Sun, 24 Oct 2021 14:52:49 -0700")
Message-ID: <87r1cank4r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > Thanks. Does it
 work as you expect if you use --without-ns as well? No: When I add
 --without-ns, 
 I now get an error (it used to work with the earlier Emacs version that I
 used to file the original issue). 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 47249
Cc: 47249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Stefan Kangas <stefan@HIDDEN> writes:

> Thanks.  Does it work as you expect if you use --without-ns as well?

No: When I add --without-ns, I now get an error (it used to work with
the earlier Emacs version that I used to file the original issue).

Specifically, the script output ends with:

    configure: error: You seem to be running X, but no X development libraries
    were found.  You should install the relevant development files for X
    and for the toolkit you want, such as Gtk+.  Also make
    sure you have development files for image handling, i.e.
    tiff, gif, jpeg, png and xpm.
    If you are sure you want Emacs compiled without X window support, pass
      --without-x
    to configure.

The full transcript follows.

All the best,
Markus

$ ./configure --without-ns --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib
checking for xcrun... xcrun
checking for make... yes
checking for GNU Make... gmake
checking build system type... x86_64-apple-darwin18.2.0
checking host system type... x86_64-apple-darwin18.2.0
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... none needed
checking whether the compiler is clang... yes
checking for compiler option needed when checking for declarations... -Werror=implicit-function-declaration
checking for ar... ar
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for wchar.h... yes
checking for minix/config.h... no
checking for linux/fs.h... no
checking for malloc.h... no
checking for sys/systeminfo.h... no
checking for sys/sysinfo.h... no
checking for coff.h... no
checking for pty.h... no
checking for sys/resource.h... yes
checking for sys/utsname.h... yes
checking for pwd.h... yes
checking for utmp.h... yes
checking for util.h... yes
checking for sanitizer/lsan_interface.h... yes
checking for sys/socket.h... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking for pthread.h... yes
checking for malloc/malloc.h... yes
checking for sys/un.h... yes
checking for dirent.h... yes
checking for execinfo.h... yes
checking for stdio_ext.h... no
checking for sys/vfs.h... no
checking for sys/fs_types.h... no
checking for getopt.h... yes
checking for sys/cdefs.h... yes
checking for sys/time.h... yes
checking for ieee754.h... no
checking for limits.h... yes
checking for inttypes.h... (cached) yes
checking for sys/types.h... (cached) yes
checking for stdint.h... (cached) yes
checking for sys/select.h... yes
checking for sys/random.h... yes
checking for sys/stat.h... (cached) yes
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking for Minix Amsterdam compiler... no
checking for ranlib... ranlib
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether the compiler is clang... yes
checking whether C compiler handles -Werror -Wunknown-warning-option... yes
checking whether C compiler handles -Wno-switch... yes
checking whether C compiler handles -Wno-pointer-sign... yes
checking whether C compiler handles -Wno-string-plus-int... yes
checking whether C compiler handles -Wno-unknown-attributes... yes
checking whether C compiler handles -Wno-initializer-overrides... yes
checking whether C compiler handles -Wno-tautological-compare... yes
checking whether C compiler handles -Wno-tautological-constant-out-of-range-compare... yes
checking for a BSD-compatible install... /opt/local/bin/ginstall -c
checking command to symlink files in the same directory... ln -s
checking for install-info... /opt/local/bin/install-info
checking for gzip... /opt/local/bin/gzip
checking for 'find' args to delete a file... -delete
checking for brew... no
checking for port... /opt/local/bin/port
checking for -znocombreloc... not needed
checking whether addresses are sanitized... no
checking for library containing sqrt... none required
checking for pkg-config... /opt/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for machine/soundcard.h... no
checking for sys/soundcard.h... no
checking for soundcard.h... no
checking for mmsystem.h... no
checking for _oss_ioctl in -lossaudio... no
checking for alsa >= 1.0.0... no
checking for ADDR_NO_RANDOMIZE... no
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for net/if.h... yes
checking for ifaddrs.h... yes
checking for net/if_dl.h... yes
checking for struct ifreq.ifr_flags... yes
checking for struct ifreq.ifr_hwaddr... no
checking for struct ifreq.ifr_netmask... no
checking for struct ifreq.ifr_broadaddr... yes
checking for struct ifreq.ifr_addr... yes
checking for struct ifreq.ifr_addr.sa_len... yes
checking whether gcc understands -MMD -MF... yes
checking for X... no
checking for X... true
configure: error: You seem to be running X, but no X development libraries
were found.  You should install the relevant development files for X
and for the toolkit you want, such as Gtk+.  Also make
sure you have development files for image handling, i.e.
tiff, gif, jpeg, png and xpm.
If you are sure you want Emacs compiled without X window support, pass
  --without-x
to configure.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47249; Package emacs. Full text available.

Message received at 47249 <at> debbugs.gnu.org:


Received: (at 47249) by debbugs.gnu.org; 24 Oct 2021 21:52:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 17:52:58 2021
Received: from localhost ([127.0.0.1]:41157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1melQI-000654-KM
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 17:52:58 -0400
Received: from mail-pl1-f177.google.com ([209.85.214.177]:40647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1melQF-00064a-0l
 for 47249 <at> debbugs.gnu.org; Sun, 24 Oct 2021 17:52:58 -0400
Received: by mail-pl1-f177.google.com with SMTP id v20so6573993plo.7
 for <47249 <at> debbugs.gnu.org>; Sun, 24 Oct 2021 14:52:54 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=LCHTWJ+1OQoFbf2ubEHs2gLQyXZRIQoJboviKHHdINE=;
 b=rhUfCSbpLiXtWkbBYmY532aOHy7jRSzaZsjSLYo0Zi23qAFSbXJMB93Ydtrv+ENyo/
 2Yiuvus+5k8ET7CjHgGPANxGcWt/3mpYIzMnS57s/D5PmhqPTq/pnanaTXk6zGvdm04A
 GH4cqjkCzSWEmH4BErGYnKpLbuKV+8R73r0B7MYA0ySRYBdsPfzHEJrvQ2OgeQmXl6ei
 AxrlUU+rfPF9Q5mDOUrEZH1y8ytSNrtiy1zNOzJYO1Pq2NgLI0tdhoFekxBKyPv+spI+
 M+1j6OsZZzOODMllGTpVMWoVopg4pmJVwtubIgGJ2yADXrfLhmg/9tMs/QWoREsIyWTP
 9ORw==
X-Gm-Message-State: AOAM530vlmPbmxvZ4Y3jInma7kkUsmyRKofh3ma+vkMjsqT7G2jLbRYA
 H9bl5AJCyzGlCiXLKxPc4aDfYT7TkbUPlM2UBUFQKgIj
X-Google-Smtp-Source: ABdhPJzK7eXuRuqwDzmo/Oi3/xd+k3wrbb+p/QMq49wJuv1YmFJRikN1U6LjGfqc8D8u317xJpLvWSPtsFhX0Uv6XkA=
X-Received: by 2002:a17:902:b691:b029:12d:2b6:d116 with SMTP id
 c17-20020a170902b691b029012d02b6d116mr12267700pls.71.1635112369346; Sun, 24
 Oct 2021 14:52:49 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 24 Oct 2021 14:52:49 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87zgqyyz2d.fsf@HIDDEN> (Markus Triska's message of "Sun,
 24 Oct 2021 21:58:50 +0200")
References: <m2y2ekgl26.fsf@HIDDEN>
 <CADwFkmmkZ_yeEKs380oi+t5hBquPD-pSF70hwV0NM=VYB1oS1w@HIDDEN>
 <87zgqyyz2d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sun, 24 Oct 2021 14:52:49 -0700
Message-ID: <CADwFkmk0KURzRJUH=S9s_8pPgf1eLbN-t-Sdo-U6MuokYcXqJg@HIDDEN>
Subject: Re: bug#47249: 27.0.50; configure uses nextstep despite being told to
 use lucid
To: Markus Triska <triska@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 47249
Cc: 47249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Markus Triska <triska@HIDDEN> writes:

> Stefan Kangas <stefan@HIDDEN> writes:
>
>>> I.e., it uses nextstep despite being told to use lucid.
>>>
>>> I see the same issue with Emacs 27.1, but not with the Emacs development
>>> version that I use to report this issue.
>>>
>>> configure.ac mentions the switch --without-ns, but is this actually implemented?
>>>
>>>     Either fix this, or re-configure with the option '--without-ns'.])])
>>>
>>> --without-ns is not mentioned in the output of ./configure --help.
>>
>> Is this still an issue on current master?
>
> Yes. For reference, I am appending the complete output of the configure
> script below.

Thanks.  Does it work as you expect if you use --without-ns as well?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47249; Package emacs. Full text available.

Message received at 47249 <at> debbugs.gnu.org:


Received: (at 47249) by debbugs.gnu.org; 24 Oct 2021 19:59:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 15:59:01 2021
Received: from localhost ([127.0.0.1]:41023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mejdy-00030u-Cd
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 15:59:01 -0400
Received: from [78.47.144.35] (port=41316 helo=metalevel.at)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1mejds-00030h-Fo
 for 47249 <at> debbugs.gnu.org; Sun, 24 Oct 2021 15:58:56 -0400
Received: by metalevel.at (Postfix, from userid 1000)
 id B0A459C749; Sun, 24 Oct 2021 21:58:50 +0200 (CEST)
From: Markus Triska <triska@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#47249: 27.0.50;
 configure uses nextstep despite being told to use lucid
References: <m2y2ekgl26.fsf@HIDDEN>
 <CADwFkmmkZ_yeEKs380oi+t5hBquPD-pSF70hwV0NM=VYB1oS1w@HIDDEN>
Date: Sun, 24 Oct 2021 21:58:50 +0200
In-Reply-To: <CADwFkmmkZ_yeEKs380oi+t5hBquPD-pSF70hwV0NM=VYB1oS1w@HIDDEN>
 (Stefan Kangas's message of "Thu, 21 Oct 2021 14:19:18 -0700")
Message-ID: <87zgqyyz2d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: >> I.e., it uses
 nextstep despite being told to use lucid. >> >> I see the same issue with
 Emacs 27.1, but not with the Emacs development >> version that I use to report
 this issue. >> >> configure.ac [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 47249
Cc: 47249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Stefan Kangas <stefan@HIDDEN> writes:

>> I.e., it uses nextstep despite being told to use lucid.
>>
>> I see the same issue with Emacs 27.1, but not with the Emacs development
>> version that I use to report this issue.
>>
>> configure.ac mentions the switch --without-ns, but is this actually implemented?
>>
>>     Either fix this, or re-configure with the option '--without-ns'.])])
>>
>> --without-ns is not mentioned in the output of ./configure --help.
>
> Is this still an issue on current master?

Yes. For reference, I am appending the complete output of the configure
script below.

Also, ./configure --help still does not mention --without-ns.
In contrast, many other --without-... switches are shown by ./configure
--help, as we can see with $ ./configure --help | grep without, yielding:

  --without-xpm           don't compile with XPM image support
  --without-jpeg          don't compile with JPEG image support
  --without-tiff          don't compile with TIFF image support
  --without-gif           don't compile with GIF image support
  --without-png           don't compile with PNG image support
  --without-rsvg          don't compile with SVG image support
  --without-webp          don't compile with WebP image support
  --without-lcms2         don't compile with Little CMS support
  --without-libsystemd    don't compile with libsystemd support
  --without-cairo         don't compile with Cairo drawing
  --without-xml2          don't compile with XML parsing support
  --without-native-image-api
  --without-xft           don't use XFT for anti aliased fonts
  --without-harfbuzz      don't use HarfBuzz for text shaping
  --without-libotf        don't use libotf for OpenType font support
  --without-m17n-flt      don't use m17n-flt for text shaping
  --without-toolkit-scroll-bars
  --without-xaw3d         don't use Xaw3d
  --without-xim           at runtime, default X11 XIM to off
  --without-xdbe          don't use X11 double buffering support
  --without-gpm           don't use -lgpm for mouse support on a GNU/Linux
  --without-dbus          don't compile with D-Bus support
  --without-gsettings     don't compile with GSettings support
  --without-selinux       don't compile with SELinux support
  --without-gnutls        don't use -lgnutls for SSL/TLS support
  --without-zlib          don't compile with zlib decompression support
  --without-modules       don't compile with dynamic modules support
  --without-threads       don't compile with elisp threading support
  --without-compress-install
  --without-libgmp        do not use the GNU Multiple Precision (GMP) library;
  --without-included-regex

I seems unclear why --without-ns specifically should not be included,
especially since that would provide the opportunity to document it as
having to do with nextstep, the string that is likely searched for.

The configure output follows. Please let me know if you need any further
information.

Thank you and all the best,
Markus


$ ./configure --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib
checking for xcrun... xcrun
checking for make... yes
checking for GNU Make... gmake
checking build system type... x86_64-apple-darwin18.2.0
checking host system type... x86_64-apple-darwin18.2.0
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... none needed
checking whether the compiler is clang... yes
checking for compiler option needed when checking for declarations... -Werror=implicit-function-declaration
checking for ar... ar
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for wchar.h... yes
checking for minix/config.h... no
checking for linux/fs.h... no
checking for malloc.h... no
checking for sys/systeminfo.h... no
checking for sys/sysinfo.h... no
checking for coff.h... no
checking for pty.h... no
checking for sys/resource.h... yes
checking for sys/utsname.h... yes
checking for pwd.h... yes
checking for utmp.h... yes
checking for util.h... yes
checking for sanitizer/lsan_interface.h... yes
checking for sys/socket.h... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking for pthread.h... yes
checking for malloc/malloc.h... yes
checking for sys/un.h... yes
checking for dirent.h... yes
checking for execinfo.h... yes
checking for stdio_ext.h... no
checking for sys/vfs.h... no
checking for sys/fs_types.h... no
checking for getopt.h... yes
checking for sys/cdefs.h... yes
checking for sys/time.h... yes
checking for ieee754.h... no
checking for limits.h... yes
checking for inttypes.h... (cached) yes
checking for sys/types.h... (cached) yes
checking for stdint.h... (cached) yes
checking for sys/select.h... yes
checking for sys/random.h... yes
checking for sys/stat.h... (cached) yes
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking for Minix Amsterdam compiler... no
checking for ranlib... ranlib
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether the compiler is clang... yes
checking whether C compiler handles -Werror -Wunknown-warning-option... yes
checking whether C compiler handles -Wno-switch... yes
checking whether C compiler handles -Wno-pointer-sign... yes
checking whether C compiler handles -Wno-string-plus-int... yes
checking whether C compiler handles -Wno-unknown-attributes... yes
checking whether C compiler handles -Wno-initializer-overrides... yes
checking whether C compiler handles -Wno-tautological-compare... yes
checking whether C compiler handles -Wno-tautological-constant-out-of-range-compare... yes
checking for a BSD-compatible install... /opt/local/bin/ginstall -c
checking command to symlink files in the same directory... ln -s
checking for install-info... /opt/local/bin/install-info
checking for gzip... /opt/local/bin/gzip
checking for 'find' args to delete a file... -delete
checking for brew... no
checking for port... /opt/local/bin/port
checking for -znocombreloc... not needed
checking whether addresses are sanitized... no
checking for library containing sqrt... none required
checking for pkg-config... /opt/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for machine/soundcard.h... no
checking for sys/soundcard.h... no
checking for soundcard.h... no
checking for mmsystem.h... no
checking for _oss_ioctl in -lossaudio... no
checking for alsa >= 1.0.0... no
checking for ADDR_NO_RANDOMIZE... no
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for net/if.h... yes
checking for ifaddrs.h... yes
checking for net/if_dl.h... yes
checking for struct ifreq.ifr_flags... yes
checking for struct ifreq.ifr_hwaddr... no
checking for struct ifreq.ifr_netmask... no
checking for struct ifreq.ifr_broadaddr... yes
checking for struct ifreq.ifr_addr... yes
checking for struct ifreq.ifr_addr.sa_len... yes
checking whether gcc understands -MMD -MF... yes
checking for X... no
checking AppKit/AppKit.h usability... yes
checking AppKit/AppKit.h presence... yes
checking for AppKit/AppKit.h... yes
checking for Mac OS X 10.6 or newer... yes
checking for gcc... gcc
checking whether we are using the GNU Objective C compiler... yes
checking whether gcc accepts -g... yes
checking if the Objective C compiler supports instancetype... yes
checking if the Objective C compiler defaults to C99... yes
checking whether malloc is Doug Lea style... no
checking for sbrk... yes
checking for __lsan_ignore_object... no
checking for fchmod... yes
checking for canonicalize_file_name... no
checking for faccessat... yes
checking for realpath... yes
checking for lstat... yes
checking for readlinkat... yes
checking for explicit_bzero... no
checking for memset_s... yes
checking for fchmodat... yes
checking for lchmod... yes
checking for fcntl... yes
checking for fdopendir... yes
checking for fstatat... yes
checking for fsync... yes
checking for futimens... yes
checking for getrandom... no
checking for gettimeofday... yes
checking for mkostemp... yes
checking for pipe2... no
checking for pselect... yes
checking for readlink... yes
checking for isblank... yes
checking for iswctype... yes
checking for strtoimax... yes
checking for symlink... yes
checking for localtime_r... yes
checking for timegm... yes
checking for utimensat... yes
checking for getdtablesize... yes
checking for futimes... yes
checking for futimesat... no
checking for lutimes... yes
checking for getpagesize... yes
checking for working mmap... yes
checking for main in -lXbsd... no
checking for pthread library... none needed
checking for thread support... yes
checking for librsvg-2.0 >= 2.14.0... yes
checking for libwebp >= 0.6.0... yes
checking for getaddrinfo_a in -lanl... no
checking for dbus-1 >= 1.0... yes
checking for dbus_watch_get_unix_fd... yes
checking for dbus_type_is_valid... yes
checking for dbus_validate_bus_name... yes
checking for dbus_validate_path... yes
checking for dbus_validate_interface... yes
checking for dbus_validate_member... yes
checking for lgetfilecon in -lselinux... no
checking for gnutls >= 2.12.2... yes
checking for libsystemd >= 222... no
checking for jansson >= 2.7... yes
checking sys/inotify.h usability... no
checking sys/inotify.h presence... no
checking for sys/inotify.h... no
checking for libkqueue... no
checking for library containing kqueue... none required
checking for jpeglib 6b or later... -ljpeg
checking for lcms2... yes
checking for library containing inflateEnd... -lz
checking for dladdr... yes
checking for dlfunc... no
checking for libpng >= 1.0.0... yes
checking whether png_longjmp is declared... yes
checking tiffio.h usability... yes
checking tiffio.h presence... no
configure: WARNING: tiffio.h: accepted by the compiler, rejected by the preprocessor!
configure: WARNING: tiffio.h: proceeding with the compiler's result
checking for tiffio.h... yes
checking for TIFFGetVersion in -ltiff... yes
checking gif_lib.h usability... yes
checking gif_lib.h presence... no
configure: WARNING: gif_lib.h: accepted by the compiler, rejected by the preprocessor!
configure: WARNING: gif_lib.h: proceeding with the compiler's result
checking for gif_lib.h... yes
checking for GifMakeMapObject in -lgif... no
checking for EGifPutExtensionLast in -lgif... yes
checking gpm.h usability... no
checking gpm.h presence... no
checking for gpm.h... no
checking for libxml-2.0 > 2.6.17... yes
checking for htmlReadMemory in -lxml2... yes
checking for maillock in -lmail... no
checking for maillock in -llockfile... no
checking for liblockfile.so... no
checking maillock.h usability... no
checking maillock.h presence... no
checking for maillock.h... no
checking linux/seccomp.h usability... no
checking linux/seccomp.h presence... no
checking for linux/seccomp.h... no
checking linux/filter.h usability... no
checking linux/filter.h presence... no
checking for linux/filter.h... no
checking for libseccomp >= 2.4.0... no
checking for accept4... no
checking for fchdir... yes
checking for gethostname... yes
checking for getrusage... yes
checking for get_current_dir_name... no
checking for lrand48... yes
checking for random... yes
checking for rint... yes
checking for trunc... yes
checking for select... yes
checking for getpagesize... (cached) yes
checking for setlocale... yes
checking for newlocale... yes
checking for getrlimit... yes
checking for setrlimit... yes
checking for shutdown... yes
checking for pthread_sigmask... (cached) yes
checking for strsignal... yes
checking for setitimer... yes
checking for sendto... yes
checking for recvfrom... yes
checking for getsockname... yes
checking for getifaddrs... yes
checking for freeifaddrs... yes
checking for gai_strerror... yes
checking for sync... yes
checking for getpwent... yes
checking for endpwent... yes
checking for getgrent... yes
checking for endgrent... yes
checking for cfmakeraw... yes
checking for cfsetspeed... yes
checking for __executable_start... no
checking for log2... yes
checking for pthread_setname_np... yes
checking for pthread_set_name_np... no
checking whether pthread_setname_np takes a single argument... yes
checking for aligned_alloc... no
checking for posix_memalign... yes
checking whether aligned_alloc is declared... no
checking for posix_madvise... yes
checking for __builtin_frame_address... yes
checking for __builtin_unwind_init... yes
checking for _LARGEFILE_SOURCE value needed for large files... no
checking for grantpt... yes
checking for getpt... no
checking for posix_openpt... yes
checking for library containing tputs... -lncurses
checking whether -lncurses library defines BC... yes
checking for timerfd interface... no
checking whether signals can be handled on alternate stack... yes
checking valgrind/valgrind.h usability... no
checking valgrind/valgrind.h presence... no
checking for valgrind/valgrind.h... no
checking for struct unipair.unicode... no
checking for pid_t... yes
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for snprintf... yes
checking whether GLib is linked in... yes
checking for nl_langinfo and CODESET... yes
checking for nl_langinfo and _NL_PAPER_WIDTH... no
checking for mbstate_t... yes
checking for _setjmp... yes
checking for sigsetjmp... yes
checking for usable FIONREAD... yes
checking for usable SIGIO... yes
checking for struct alignment... yes
checking for typeof syntax and keyword spelling... typeof
checking for statement expressions... yes
checking whether malloc (0) returns nonnull... yes
checking for working alloca.h... yes
checking for alloca... yes
checking whether lstat correctly handles trailing slash... no
checking whether // is distinct from /... no
checking whether realpath works... no
checking for getcwd... yes
checking for C/C++ restrict keyword... __restrict__
checking whether byte ordering is bigendian... no
checking whether the preprocessor supports include_next... yes
checking whether source code line length is unlimited... yes
checking if environ is properly declared... no
checking for complete errno.h... yes
checking for mode_t... yes
checking whether strmode is declared... yes
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... no
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... yes
checking whether limits.h has WORD_BIT, BOOL_WIDTH etc.... no
checking whether the compiler produces multi-arch binaries... no
checking whether stdint.h conforms to C99... yes
checking whether stdint.h works without ISO C predefines... yes
checking whether stdint.h has UINTMAX_WIDTH etc.... no
checking whether memmem is declared... yes
checking whether memrchr is declared... no
checking whether <limits.h> defines MIN and MAX... no
checking whether <sys/param.h> defines MIN and MAX... yes
checking whether time_t is signed... yes
checking whether alarm is declared... yes
checking for working mktime... no
checking whether struct tm is in sys/time.h or time.h... time.h
checking for struct tm.tm_zone... yes
checking for struct tm.tm_gmtoff... yes
checking whether <sys/select.h> is self-contained... yes
checking for inline... inline
checking for sigset_t... yes
checking for volatile sig_atomic_t... yes
checking for sighandler_t... no
checking for wchar_t... yes
checking for good max_align_t... yes
checking whether NULL can be used in arbitrary expressions... yes
checking whether fcloseall is declared... no
checking which flavor of printf attribute matches inttypes macros... system
checking whether ecvt is declared... yes
checking whether fcvt is declared... yes
checking whether gcvt is declared... yes
checking whether strnlen is declared... yes
checking whether strtoimax is declared... yes
checking for a thread-safe mkdir -p... /opt/local/bin/gmkdir -p
checking whether stat file-mode macros are broken... no
checking for nlink_t... yes
checking for struct timespec in <time.h>... yes
checking for TIME_UTC in <time.h>... no
checking whether execvpe is declared... no
checking whether clearerr_unlocked is declared... yes
checking whether feof_unlocked is declared... yes
checking whether ferror_unlocked is declared... yes
checking whether fflush_unlocked is declared... no
checking whether fgets_unlocked is declared... no
checking whether fputc_unlocked is declared... no
checking whether fputs_unlocked is declared... no
checking whether fread_unlocked is declared... no
checking whether fwrite_unlocked is declared... no
checking whether getc_unlocked is declared... yes
checking whether getchar_unlocked is declared... yes
checking whether putc_unlocked is declared... yes
checking whether putchar_unlocked is declared... yes
checking type of array argument to getgroups... gid_t
checking whether getdtablesize is declared... yes
checking whether malloc is ptrdiff_t safe... yes
checking whether malloc, realloc, calloc set errno on failure... yes
checking for O_CLOEXEC... yes
checking for promoted mode_t type... int
checking whether the utimes function works... yes
checking sys/acl.h usability... yes
checking sys/acl.h presence... yes
checking for sys/acl.h... yes
checking for library containing acl_get_file... none required
checking for acl_get_file... yes
checking for acl_get_fd... yes
checking for acl_set_file... yes
checking for acl_set_fd... yes
checking for acl_free... yes
checking for acl_from_mode... no
checking for acl_from_text... yes
checking for acl_delete_def_file... yes
checking for acl_extended_file... no
checking for acl_delete_fd_np... yes
checking for acl_delete_file_np... yes
checking for acl_copy_ext_native... yes
checking for acl_create_entry_np... yes
checking for acl_to_short_text... no
checking for acl_free_text... no
checking for working acl_get_file... yes
checking acl/libacl.h usability... no
checking acl/libacl.h presence... no
checking for acl/libacl.h... no
checking for acl_entries... no
checking for ACL_FIRST_ENTRY... yes
checking for ACL_TYPE_EXTENDED... yes
checking for alloca as a compiler built-in... yes
checking for __builtin_expect... yes
checking byteswap.h usability... no
checking byteswap.h presence... no
checking for byteswap.h... no
checking for library containing clock_gettime... none required
checking for clock_gettime... yes
checking for clock_settime... yes
checking for copy_file_range... no
checking for d_type member in directory struct... yes
checking whether // is distinct from /... (cached) no
checking whether dup2 works... yes
checking for library containing backtrace_symbols_fd... none required
checking for explicit_memset... no
checking for access... yes
checking whether fchmodat works... yes
checking whether fcntl handles F_DUPFD correctly... yes
checking whether fcntl understands F_DUPFD_CLOEXEC... yes
checking whether fdopendir is declared... yes
checking whether fdopendir works... yes
checking for getxattr with XATTR_NAME_POSIX_ACL macros... no
checking for flexible array member... yes
checking for __fpending... no
checking whether free is known to preserve errno... no
checking whether fstatat (..., 0) works... yes
checking for sys/mount.h... yes
checking for statvfs function (SVR4)... no
checking for two-argument statfs with statfs.f_frsize member... no
checking for 3-argument statfs function (DEC OSF/1)... no
checking for two-argument statfs with statfs.f_bsize member (AIX, 4.3BSD)... yes
checking sys/fs/s5param.h usability... no
checking sys/fs/s5param.h presence... no
checking for sys/fs/s5param.h... no
checking sys/statfs.h usability... no
checking sys/statfs.h presence... no
checking for sys/statfs.h... no
checking for statfs that truncates block counts... no
checking whether futimens works... no
checking for getloadavg... yes
checking sys/loadavg.h usability... no
checking sys/loadavg.h presence... no
checking for sys/loadavg.h... no
checking whether getloadavg is declared... yes
checking for gettimeofday with POSIX signature... yes
checking whether the compiler supports the __inline keyword... yes
checking gmp.h usability... yes
checking gmp.h presence... no
configure: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!
configure: WARNING: gmp.h: proceeding with the compiler's result
checking for gmp.h... yes
checking for library containing __gmpz_roinit_n... -lgmp
checking for memmem... yes
checking whether memmem works... no
checking for mempcpy... no
checking for memrchr... no
checking for sys/pstat.h... no
checking for sys/sysmp.h... no
checking for sys/param.h... (cached) yes
checking for sys/sysctl.h... yes
checking for sched_getaffinity... no
checking for sched_getaffinity_np... no
checking for pstat_getdynamic... no
checking for sysmp... no
checking for sysctl... yes
checking whether signature of pselect conforms to POSIX... yes
checking whether pselect detects invalid fds... yes
checking whether pthread_sigmask is a macro... no
checking whether pthread_sigmask works without -lpthread... yes
checking whether pthread_sigmask returns error numbers... yes
checking whether pthread_sigmask unblocks signals correctly... guessing yes
checking whether readlink signature is correct... yes
checking whether readlink handles trailing slash correctly... no
checking whether readlink truncates results correctly... yes
checking whether readlinkat signature is correct... yes
checking for working re_compile_pattern... no
checking libintl.h usability... yes
checking libintl.h presence... no
configure: WARNING: libintl.h: accepted by the compiler, rejected by the preprocessor!
configure: WARNING: libintl.h: proceeding with the compiler's result
checking for libintl.h... yes
checking whether isblank is declared... yes
checking for sig2str... no
checking for sigdescr_np... no
checking for socklen_t... yes
checking for ssize_t... yes
checking for struct stat.st_atim.tv_nsec... no
checking for struct stat.st_atimespec.tv_nsec... yes
checking for struct stat.st_birthtimespec.tv_nsec... yes
checking for working stdalign.h... yes
checking for stpcpy... yes
checking for working strnlen... yes
checking whether strtoimax works... yes
checking whether symlink handles trailing slash correctly... no
checking whether localtime_r is declared... yes
checking whether localtime_r is compatible with its POSIX signature... yes
checking whether localtime works even near extrema... yes
checking for timezone_t... no
checking whether timer_settime is declared... no
checking whether utimensat works... no
checking for variable-length arrays... yes
checking for rawmemchr... no
checking whether open recognizes a trailing slash... no
checking for euidaccess... no
checking libgen.h usability... yes
checking libgen.h presence... yes
checking for libgen.h... yes
checking for getgroups... yes
checking for working getgroups... yes
checking for library containing eaccess... no
checking for eaccess... no
checking for group_member... no
checking for getgroups... (cached) yes
checking for working getgroups... (cached) yes
checking whether getgroups handles negative values... no
checking whether realloc (0, 0) returns nonnull... yes
checking for __mktime_internal... no
checking for timer_getoverrun... no
checking for gcc option to disable position independent executables... not needed

Configured for 'x86_64-apple-darwin18.2.0'.

  Where should the build process find the source code?    .
  What compiler should emacs be built with?               gcc -I/opt/local/include/
  Should Emacs use the GNU version of malloc?             no
    (The GNU allocators don't work with this system configuration.)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    nextstep
  What toolkit should Emacs use?                          none
  Where do we find X Windows header files?                NONE
  Where do we find X Windows libraries?                   NONE
  Does Emacs use -lXaw3d?                                 no
  Does Emacs use -lXpm?                                   no
  Does Emacs use -ljpeg?                                  yes
  Does Emacs use -ltiff?                                  yes
  Does Emacs use a gif library?                           yes -lgif
  Does Emacs use a png library?                           yes -L/opt/local/lib -lpng16
  Does Emacs use -lrsvg-2?                                yes
  Does Emacs use -lwebp?                                  yes
  Does Emacs use cairo?                                   no
  Does Emacs use -llcms2?                                 yes
  Does Emacs use imagemagick?                             no
  Does Emacs use native APIs for images?                  yes (ns)
  Does Emacs support sound?                               no
  Does Emacs use -lgpm?                                   no
  Does Emacs use -ldbus?                                  yes
  Does Emacs use -lgconf?                                 no
  Does Emacs use GSettings?                               no
  Does Emacs use a file notification library?             yes (kqueue)
  Does Emacs use access control lists?                    yes 
  Does Emacs use -lselinux?                               no
  Does Emacs use -lgnutls?                                yes
  Does Emacs use -lxml2?                                  yes
  Does Emacs use -lfreetype?                              no
  Does Emacs use HarfBuzz?                                no
  Does Emacs use -lm17n-flt?                              no
  Does Emacs use -lotf?                                   no
  Does Emacs use -lxft?                                   no
  Does Emacs use -lsystemd?                               no
  Does Emacs use -ljansson?                               yes
  Does Emacs use the GMP library?                         yes
  Does Emacs directly use zlib?                           yes
  Does Emacs have dynamic modules support?                yes
  Does Emacs use toolkit scroll bars?                     yes
  Does Emacs support Xwidgets?                            no
  Does Emacs have threading support in lisp?              yes
  Does Emacs support the portable dumper?                 yes
  Does Emacs support legacy unexec dumping?               no
  Which dumping strategy does Emacs use?                  pdumper
  Does Emacs have native lisp compiler?                   no



Run 'gmake' to build Emacs, then run 'src/emacs' to test it.
Run 'gmake install' in order to build an application bundle.
The application will go to nextstep/Emacs.app and can be run or moved
from there.
The application will be fully self-contained.

configure: creating ./config.status
config.status: creating src/verbose.mk
config.status: creating src/emacs-module.h
config.status: creating nextstep/Cocoa/Emacs.base/Contents/Info.plist
config.status: creating nextstep/Cocoa/Emacs.base/Contents/Resources/English.lproj/InfoPlist.strings
config.status: creating Makefile
config.status: creating lib/gnulib.mk
config.status: creating ./doc/man/emacs.1
config.status: creating lib/Makefile
config.status: creating lib-src/Makefile
config.status: creating oldXMenu/Makefile
config.status: creating doc/emacs/Makefile
config.status: creating doc/misc/Makefile
config.status: creating doc/lispintro/Makefile
config.status: creating doc/lispref/Makefile
config.status: creating src/Makefile
config.status: creating lwlib/Makefile
config.status: creating lisp/Makefile
config.status: creating leim/Makefile
config.status: creating nextstep/Makefile
config.status: creating nt/Makefile
config.status: creating test/Makefile
config.status: creating admin/charsets/Makefile
config.status: creating admin/unidata/Makefile
config.status: creating admin/grammars/Makefile
config.status: creating src/config.h
config.status: executing src/epaths.h commands
config.status: executing src/.gdbinit commands
config.status: executing doc/emacs/emacsver.texi commands
config.status: executing etc-refcards-emacsver.tex commands
configure: WARNING: This configuration installs a 'movemail' program
that does not retrieve POP3 email.  By default, Emacs 25 and earlier
installed a 'movemail' program that retrieved POP3 email via only
insecure channels, a practice that is no longer recommended but that
you can continue to support by using './configure --with-pop'.
configure: You might want to install GNU Mailutils
<https://mailutils.org> and use './configure --with-mailutils'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47249; Package emacs. Full text available.

Message received at 47249 <at> debbugs.gnu.org:


Received: (at 47249) by debbugs.gnu.org; 21 Oct 2021 21:19:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 17:19:46 2021
Received: from localhost ([127.0.0.1]:58792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdfTH-00067g-If
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 17:19:46 -0400
Received: from mail-pg1-f175.google.com ([209.85.215.175]:43802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mdfTB-00066w-Kl
 for 47249 <at> debbugs.gnu.org; Thu, 21 Oct 2021 17:19:30 -0400
Received: by mail-pg1-f175.google.com with SMTP id r2so1412890pgl.10
 for <47249 <at> debbugs.gnu.org>; Thu, 21 Oct 2021 14:19:25 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=Zsa15QSiYl8yIVZz0oUUVVZ9NC4Vys+va0Mv9lz4ql8=;
 b=CtjbSg4aJ5NSySMU17uVmdoFAcaik94jQa1qC5bS5ZQ5MqgQmpZ70lHgiujYX/9363
 D1RbfxuFFFyXTDs5Fo8YGJy2cs2P3anIeS6ZQTIqzwEMjES6US3U01hHONM6RWwFhnB7
 XYSRIWZINulOjDu3LqcZ+4sryqvfYZiA4vq1a2AwwNInDbmm6dBhPlkqfx80SWaWAV1t
 5OtHY5XYT2G9UJV74NdFJkesAKbvRLuLPO6QO/lQTCLN48lSWo7QSA9MFPT1oZS6GgRv
 X/mG/EzsciBmVPkMizFGIKkKZeqdr27cipyasRiIjgs5gNsXPm1ozjUGpoYevPfJci1z
 5MXA==
X-Gm-Message-State: AOAM531yNL7VVJnRTPF9FQ/OC3rbHzY1H18f0LWW00NmBMl0WVZiMQQT
 qC4QiNc685sEGYf+m/Trzs+mWhDDpbMT9/MrCYiaLczY
X-Google-Smtp-Source: ABdhPJzL+xKqp2DhbPkRHfPm2ZdzsQ/Hu02J9OwvnPKNVD3UDsdD/mQTxUNTwlyUAYmWG26Xi1OnXHXGiP+2rJaowD4=
X-Received: by 2002:a63:81c2:: with SMTP id t185mr6337222pgd.114.1634851159002; 
 Thu, 21 Oct 2021 14:19:19 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 21 Oct 2021 14:19:18 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <m2y2ekgl26.fsf@HIDDEN> (Markus Triska's message of "Thu,
 18 Mar 2021 23:21:21 +0100")
References: <m2y2ekgl26.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Thu, 21 Oct 2021 14:19:18 -0700
Message-ID: <CADwFkmmkZ_yeEKs380oi+t5hBquPD-pSF70hwV0NM=VYB1oS1w@HIDDEN>
Subject: Re: bug#47249: 27.0.50; configure uses nextstep despite being told to
 use lucid
To: Markus Triska <triska@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 47249
Cc: 47249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Markus Triska <triska@HIDDEN> writes:

> When configuring Emacs-27.2 RC1 with:
>
>     $ ./configure --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib
>
> The configure output ends with:
>
>  Where should the build process find the source code?    .
>   What compiler should emacs be built with?               gcc -I/opt/local/include/
>   Should Emacs use the GNU version of malloc?             no
>     (The GNU allocators don't work with this system configuration.)
>   Should Emacs use a relocating allocator for buffers?    no
>   Should Emacs use mmap(2) for buffer allocation?         no
>   What window system should Emacs use?                    nextstep
>   ...
>
> I.e., it uses nextstep despite being told to use lucid.
>
> I see the same issue with Emacs 27.1, but not with the Emacs development
> version that I use to report this issue.
>
> configure.ac mentions the switch --without-ns, but is this actually implemented?
>
>     Either fix this, or re-configure with the option '--without-ns'.])])
>
> --without-ns is not mentioned in the output of ./configure --help.

Is this still an issue on current master?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47249; Package emacs. Full text available.

Message received at 47249 <at> debbugs.gnu.org:


Received: (at 47249) by debbugs.gnu.org; 19 Mar 2021 02:18:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 18 22:18:34 2021
Received: from localhost ([127.0.0.1]:48359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lN4ig-0004r1-7Z
	for submit <at> debbugs.gnu.org; Thu, 18 Mar 2021 22:18:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1lN4id-0004qn-4N
 for 47249 <at> debbugs.gnu.org; Thu, 18 Mar 2021 22:18:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41988)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1lN4iX-0002Wq-D4; Thu, 18 Mar 2021 22:18:25 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1lN4iO-0008BL-LP; Thu, 18 Mar 2021 22:18:18 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: bug#47249: 27.0.50;
 configure uses nextstep despite being told to use lucid
References: <m2y2ekgl26.fsf@HIDDEN>
X-Spook: TDYC TSCI illuminati Pirates PCS Etacs CCS UOP
X-Ran: E$d%B{SR}N$^=&G0n/nJyUI'KrMv)/mIT''^U^e:P1/50~V1FCz?_%e)K!h<>}?K1]M_AR
X-Hue: yellow
X-Attribution: GM
Date: Thu, 18 Mar 2021 22:18:16 -0400
In-Reply-To: <m2y2ekgl26.fsf@HIDDEN> (Markus Triska's message of "Thu,
 18 Mar 2021 23:21:21 +0100")
Message-ID: <rro8ffubrr.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47249
Cc: 47249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Markus Triska wrote:

>     $ ./configure --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib
[...]
>   What window system should Emacs use?                    nextstep
>   ...
>
> I.e., it uses nextstep despite being told to use lucid.

nextstep is a windowing system, lucid is a toolkit used for the X
windowing system (hence the --with-x- part of the option).
The default windowing system for Mac OS is nextstep.
Specifying --with-x-toolkit does not act to force the X window system.

> In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin18.0.0, X toolkit, Xaw scroll bars)
>  of 2018-11-15 built on mac
> Repository revision: b4eb908f858284a7962851fd99c94598f76afa6f

Just to point out, this is ancient.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47249; Package emacs. Full text available.

Message received at 47249 <at> debbugs.gnu.org:


Received: (at 47249) by debbugs.gnu.org; 18 Mar 2021 22:50:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 18 18:50:59 2021
Received: from localhost ([127.0.0.1]:48288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lN1Tn-00086a-Dh
	for submit <at> debbugs.gnu.org; Thu, 18 Mar 2021 18:50:59 -0400
Received: from outbound.soverin.net ([116.202.65.218]:48745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lN1Th-00086J-RP
 for 47249 <at> debbugs.gnu.org; Thu, 18 Mar 2021 18:50:58 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 6B7FF600C1;
 Thu, 18 Mar 2021 22:50:47 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1616107846; bh=a5hSFwFKFov7DxpMgjVMp00Gf3xsQGUFYtTdgsJedzA=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=BOWr60ghG7BlSqj/ccjIUxnrl7JsCokyCSsRM/NZR7dmFmDbY3/8I/0MkfPXa86cF
 zDnLr0MOR6R092JtjlgZ6qUr1qKUW3oIOeiqp37CeWh9BzyJuGuT8QsaJmrvkDIB4j
 o5F8dv7Xr0UqKkulllxGgxpm0oso+w7X0GF23QvFxKOPMbQOg+tYDcskDyPsL+2pXn
 aKjLfB+DhS8FpzhEvLFL7GP7uStX9/3ZAWLZUkjR1//JRP+0/fisB/wYjqRzBGpM5v
 M1XmAW4yoG1AcvSnfyGPohKX1LvsRa22toBsNP0ZVw6hnYRmyZPQ9vO4Vdnowq4yxC
 1xwbCTtm4QYmQ==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id D016D202B0C1D9; Thu, 18 Mar 2021 22:50:40 +0000 (GMT)
Date: Thu, 18 Mar 2021 22:50:40 +0000
From: Alan Third <alan@HIDDEN>
To: Markus Triska <triska@HIDDEN>
Subject: Re: bug#47249: 27.0.50; configure uses nextstep despite being told
 to use lucid
Message-ID: <YFPZQL/BAaoqUxq3@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Markus Triska <triska@HIDDEN>, 47249 <at> debbugs.gnu.org
References: <m2y2ekgl26.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <m2y2ekgl26.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47249
Cc: 47249 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Mar 18, 2021 at 11:21:21PM +0100, Markus Triska wrote:
> 
> When configuring Emacs-27.2 RC1 with:
> 
>     $ ./configure --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib
> 
> The configure output ends with:
> 
>  Where should the build process find the source code?    .
>   What compiler should emacs be built with?               gcc -I/opt/local/include/
>   Should Emacs use the GNU version of malloc?             no
>     (The GNU allocators don't work with this system configuration.)
>   Should Emacs use a relocating allocator for buffers?    no
>   Should Emacs use mmap(2) for buffer allocation?         no
>   What window system should Emacs use?                    nextstep
>   ...
> 
> I.e., it uses nextstep despite being told to use lucid.

Confirmed. I guess the --with-ns default is "stronger"?

But often when I've come across people trying X builds on macOS it's
because they haven't realised there's a native GUI and/or just copied
build flags from elsewhere. Perhaps we really just want to return an
error if more than one GUI toolkit is turned on?

> configure.ac mentions the switch --without-ns, but is this actually implemented?
> 
>     Either fix this, or re-configure with the option '--without-ns'.])])
> 
> --without-ns is not mentioned in the output of ./configure --help.

I guess it maybe isn't clear, but it does show this:

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)

so yes, --without-ns works fine.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47249; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Mar 2021 22:20:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 18 18:20:58 2021
Received: from localhost ([127.0.0.1]:48261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lN10k-0005EB-Da
	for submit <at> debbugs.gnu.org; Thu, 18 Mar 2021 18:20:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:38218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <triska@HIDDEN>) id 1lN10j-0005E4-GJ
 for submit <at> debbugs.gnu.org; Thu, 18 Mar 2021 18:20:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45196)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <triska@HIDDEN>)
 id 1lN10j-0002EW-AR
 for bug-gnu-emacs@HIDDEN; Thu, 18 Mar 2021 18:20:57 -0400
Received: from [78.47.144.35] (port=42530 helo=metalevel.at)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <triska@HIDDEN>) id 1lN10h-0004Lo-Ma
 for bug-gnu-emacs@HIDDEN; Thu, 18 Mar 2021 18:20:57 -0400
Received: from mts-Mac-mini.localdomain (localhost [127.0.0.1])
 by metalevel.at (Postfix) with ESMTP id 393F79C73E
 for <bug-gnu-emacs@HIDDEN>; Thu, 18 Mar 2021 23:20:52 +0100 (CET)
Received: by mts-Mac-mini.localdomain (Postfix, from userid 501)
 id 3382A144C836; Thu, 18 Mar 2021 23:21:21 +0100 (CET)
From: Markus Triska <triska@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; configure uses nextstep despite being told to use lucid
Date: Thu, 18 Mar 2021 23:21:21 +0100
Message-ID: <m2y2ekgl26.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Host-Lookup-Failed: Reverse DNS lookup failed for 78.47.144.35 (failed)
Received-SPF: none client-ip=78.47.144.35; envelope-from=triska@HIDDEN;
 helo=metalevel.at
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


When configuring Emacs-27.2 RC1 with:

    $ ./configure --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib

The configure output ends with:

 Where should the build process find the source code?    .
  What compiler should emacs be built with?               gcc -I/opt/local/include/
  Should Emacs use the GNU version of malloc?             no
    (The GNU allocators don't work with this system configuration.)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    nextstep
  ...

I.e., it uses nextstep despite being told to use lucid.

I see the same issue with Emacs 27.1, but not with the Emacs development
version that I use to report this issue.

configure.ac mentions the switch --without-ns, but is this actually implemented?

    Either fix this, or re-configure with the option '--without-ns'.])])

--without-ns is not mentioned in the output of ./configure --help.

Thank you and all the best,
Markus

In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin18.0.0, X toolkit, Xaw scroll bars)
 of 2018-11-15 built on mac
Repository revision: b4eb908f858284a7962851fd99c94598f76afa6f
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:  Mac OS X 10.14.2





Acknowledgement sent to Markus Triska <triska@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47249; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 24 Oct 2021 22:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.